import CoEuiCard from '../../../../components/10x/eui/eui-card.js'
import EuiBasePage from '../eui-base.po.js'

export default class EuiCardPage extends EuiBasePage {

  constructor() {
      super();
  }
  get euiCardCO() {
    return new CoEuiCard(this.mainContent);
  }
  cardByTextContains(text) {
    let card = new CoEuiCard(this.mainContent);
    return card.byTextContains(text);
  }
  cardByTextEqualsAndIndex(text, index, normalize=true) {
    let card = new CoEuiCard(this.mainContent);
    return card.byTextEqualsAndIndex(text, index, normalize);
  }
  cardFromSectionById(id) {
    return new CoEuiCard(this.sectionById(id));
  }
  cardFromSectionWithIdByIndex(id, index) {
    let card = new CoEuiCard(this.sectionById(id));
    return card.byIndex(index);
  }

}


